package com.gree.mall.manager.bean.material.base;

import com.gree.mall.manager.plus.entity.WorkerGoodsRela;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class WorkerGoodsBean {

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "师傅商品编号")
    private String goodsId;

    @ApiModelProperty(value = "师傅商品名称")
    private String goodsName;

    @ApiModelProperty(value = "师傅销售单位")
    private String salesUnit;

    @ApiModelProperty(value = "商品小类ID")
    private String categoryId;

    @ApiModelProperty(value = "状态 ON=有效 OFF=无效")
    private String status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "明细")
    private List<WorkerGoodsRela> items;
}
